#
# spec file for package kopete-anyremote (Version 0.4)
#
# Copyright 2007 Donnie S Bhayangkara <dsbhayangkara@gmail.com>
# Copyright 2009 Buschmann <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

# norootforbuild

%define _prefix	/opt/kde3
%define rversion 0.4
%define rrelease 1.1
%define releasesuffix OS103DSB

Name:		kopete-anyremote
Version:	%{rversion}
Release:	lp150.9.1
Summary:	AnyRemote Plugin for Kopete
Source:		%{name}-%{rversion}.tar.bz2
Patch:		kopete-anyremote-0.4-gcc43.patch
URL:		http://anyremote.sourceforge.net
#Packager:	Donnie S Bhayangkara - http://donnie.110mb.com
Group:		Productivity/Networking/Instant Messenger
License:	GPLv2
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:	autoconf automake libtool libstdc++-devel gcc-c++ update-desktop-files
BuildRequires: 	kdelibs3-devel kdebase3-devel kdenetwork3-devel kdenetwork3-InstantMessenger
Requires:	kdenetwork3-InstantMessenger, kdebluetooth, anyremote >= 3.5

%description
This Kopete plugin allows to use bluettoth cell phone as remote control for
Kopete. 
It is possible to connect/disconnect, read/send messages and saw status changes.

%if !0%{?opensuse_bs}
%debug_package
%endif
%prep
%setup -q -n "%{name}-%{version}"
%patch

%build
%configure --with-qt-libraries=/usr/lib/qt3/%_lib --libdir=%{_prefix}/%_lib

%install
%makeinstall

%suse_update_desktop_file %{buildroot}%{_datadir}/services/kconfiguredialog/kopete_anyremote_config.desktop
%suse_update_desktop_file %{buildroot}%{_datadir}/services/kopete_anyremote.desktop

%find_lang anyremote

%__chmod -x %{buildroot}%{_libdir}/kde3/*.la

%clean
%__rm -rf "%{buildroot}"

%files -f anyremote.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/kde3/kcm_kopete_anyremote.*
%{_libdir}/kde3/kopete_anyremote.*
%{_datadir}/apps/kopete_anyremote
%{_datadir}/config.kcfg/kopete_anyremote.kcfg
%{_datadir}/services/kconfiguredialog/kopete_anyremote_config.desktop
%{_datadir}/services/kopete_anyremote.desktop

%changelog
* Sat Mar 21 2009 Buschmann <buschmann23@opensuse.org> 0.4
- recompressed source tarball with bzip2
- using debug_package macro only outside the Build Service,
  which has its own mechanism
- removed obsolete suse version checks
- removed distribution tag, is set by Build Service
- changed rpm group
- added kopete-anyremote-0.4-gcc43.patch
* Wed Nov 7 2007 Donnie S Bhayangkara <dsbhayangkara@gmail.com> 0.4
- initial release
